Bug 190820 - [HeapWalker] retained size off by one
[HeapWalker] retained size off by one
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-07 07:08 UTC by Tomas Hurka
Modified: 2010-10-29 15:25 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
heap dump (742.10 KB, application/x-gzip)
2010-10-07 07:08 UTC, Tomas Hurka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2010-10-07 07:08:45 UTC
Created attachment 102293 [details]
heap dump

Open attached heap dump and compute retained size.
Retained size for java.io.BufferedInputStream#1 should be 8240 and not 8239.
Comment 1 Quality Engineering 2010-10-09 15:26:49 UTC
Integrated into 'main-golden', will be available in build *201010090000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a79f5035dec8
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #190820, get rid of -1 used in TreeObject
Comment 2 Tomas Hurka 2010-10-29 15:25:39 UTC
Fixed in profiler-main


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo